> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rxresu.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get resume by ID

> Returns a single resume with its full data, identified by its unique ID. Only resumes belonging to the authenticated user can be retrieved. Requires authentication.



## OpenAPI

````yaml /spec.json get /resumes/{id}
openapi: 3.1.1
info:
  title: Reactive Resume
  version: 5.2.5
  description: Reactive Resume API
  license:
    name: MIT
    url: https://github.com/amruthpillai/reactive-resume/blob/main/LICENSE
  contact:
    name: Amruth Pillai
    email: hello@amruthpillai.com
    url: https://amruthpillai.com
servers:
  - url: https://rxresu.me/api/openapi
security:
  - apiKey: []
externalDocs:
  url: https://docs.rxresu.me
  description: Reactive Resume Documentation
paths:
  /resumes/{id}:
    get:
      tags:
        - Resumes
      summary: Get resume by ID
      description: >-
        Returns a single resume with its full data, identified by its unique ID.
        Only resumes belonging to the authenticated user can be retrieved.
        Requires authentication.
      operationId: getResume
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            description: The ID of the resume.
      responses:
        '200':
          description: The resume with its full data.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The ID of the resume.
                  name:
                    type: string
                    minLength: 1
                    description: The name of the resume.
                  slug:
                    type: string
                    minLength: 1
                    description: The slug of the resume.
                  tags:
                    type: array
                    items:
                      type: string
                    description: The tags of the resume.
                  isPublic:
                    type: boolean
                    description: Whether the resume is public.
                  isLocked:
                    type: boolean
                    description: Whether the resume is locked.
                  data:
                    type: object
                    properties:
                      picture:
                        type: object
                        properties:
                          hidden:
                            type: boolean
                            description: Whether to hide the picture from the resume.
                          url:
                            type: string
                            description: >-
                              The URL to the picture to display on the resume.
                              Prefer local app-served paths (for example
                              /uploads/...) populated via upload.
                          size:
                            type: number
                            minimum: 32
                            maximum: 512
                            description: >-
                              The size of the picture to display on the resume,
                              defined in points (pt).
                          rotation:
                            type: number
                            minimum: 0
                            maximum: 360
                            description: >-
                              The rotation of the picture to display on the
                              resume, defined in degrees (°).
                          aspectRatio:
                            type: number
                            minimum: 0.5
                            maximum: 2.5
                            description: >-
                              The aspect ratio of the picture to display on the
                              resume, defined as width / height (e.g. 1.5 for
                              1.5:1 or 0.5 for 1:2).
                          borderRadius:
                            type: number
                            minimum: 0
                            maximum: 100
                            description: >-
                              The border radius of the picture to display on the
                              resume, defined in points (pt).
                          borderColor:
                            type: string
                            description: >-
                              The color of the border of the picture to display
                              on the resume, defined as rgba(r, g, b, a).
                          borderWidth:
                            type: number
                            minimum: 0
                            description: >-
                              The width of the border of the picture to display
                              on the resume, defined in points (pt).
                          shadowColor:
                            type: string
                            description: >-
                              The color of the shadow of the picture to display
                              on the resume, defined as rgba(r, g, b, a).
                          shadowWidth:
                            type: number
                            minimum: 0
                            description: >-
                              The width of the shadow of the picture to display
                              on the resume, defined in points (pt).
                        required:
                          - hidden
                          - url
                          - size
                          - rotation
                          - aspectRatio
                          - borderRadius
                          - borderColor
                          - borderWidth
                          - shadowColor
                          - shadowWidth
                        description: Configuration for photograph displayed on the resume
                      basics:
                        type: object
                        properties:
                          name:
                            type: string
                            description: The full name of the author of the resume.
                          headline:
                            type: string
                            description: The headline of the author of the resume.
                          email:
                            type: string
                            description: The email address of the author of the resume.
                          phone:
                            type: string
                            description: The phone number of the author of the resume.
                          location:
                            type: string
                            description: The location of the author of the resume.
                          website:
                            type: object
                            properties:
                              url:
                                type: string
                                description: >-
                                  The URL to show as a link. Must be a valid URL
                                  with a protocol (http:// or https://).
                              label:
                                type: string
                                description: >-
                                  The label to display for the URL. Leave blank
                                  to display the URL as-is.
                            required:
                              - url
                              - label
                            description: The website of the author of the resume.
                          customFields:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  description: >-
                                    The unique identifier for the custom field.
                                    Usually generated as a UUID.
                                icon:
                                  type: string
                                  description: >-
                                    The icon to display for the custom field.
                                    Must be a valid icon name from
                                    @phosphor-icons/web icon set, or an empty
                                    string to hide. Default to '' (empty string)
                                    when unsure which icons are available.
                                text:
                                  type: string
                                  description: The text to display for the custom field.
                                link:
                                  type: string
                                  description: >-
                                    If the custom field should be a link, the
                                    URL to link to.
                              required:
                                - id
                                - icon
                                - text
                                - link
                            description: The custom fields to display on the resume.
                        required:
                          - name
                          - headline
                          - email
                          - phone
                          - location
                          - website
                          - customFields
                        description: >-
                          Basic information about the author, such as name,
                          email, phone, location, and website
                      summary:
                        type: object
                        properties:
                          title:
                            type: string
                            description: The title of the summary of the resume.
                          icon:
                            type: string
                            description: >-
                              Phosphor icon name to display before the summary
                              section title in the PDF output. Empty string uses
                              the default summary icon; 'none' hides the icon.
                          columns:
                            type: integer
                            minimum: 1
                            maximum: 6
                            description: >-
                              The number of columns the summary should span
                              across.
                          hidden:
                            type: boolean
                            description: Whether to hide the summary from the resume.
                          keepTogether:
                            type: boolean
                            description: >-
                              If true, the summary is kept on a single page
                              instead of splitting across a page break.
                          startOnNewPage:
                            type: boolean
                            description: If true, the summary always begins on a new page.
                          content:
                            type: string
                            description: >-
                              The content of the summary of the resume. This
                              should be a HTML-formatted string.
                        required:
                          - title
                          - icon
                          - columns
                          - hidden
                          - keepTogether
                          - startOnNewPage
                          - content
                        description: >-
                          Summary section of the resume, useful for a short bio
                          or introduction
                      sections:
                        type: object
                        properties:
                          profiles:
                            type: object
                            properties:
                              title:
                                type: string
                                description: The title of the section.
                              icon:
                                type: string
                                description: >-
                                  Phosphor icon name to display before the
                                  section title in the PDF output. Empty string
                                  uses the default section icon; 'none' hides
                                  the icon.
                              columns:
                                type: integer
                                minimum: 1
                                maximum: 6
                                description: >-
                                  The number of columns the section should span
                                  across.
                              hidden:
                                type: boolean
                                description: Whether to hide the section from the resume.
                              keepTogether:
                                type: boolean
                                description: >-
                                  If true, the section is kept on a single page
                                  instead of splitting across a page break.
                              startOnNewPage:
                                type: boolean
                                description: >-
                                  If true, the section always begins on a new
                                  page.
                              items:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                      description: >-
                                        The unique identifier for the item.
                                        Usually generated as a UUID.
                                    hidden:
                                      type: boolean
                                      description: >-
                                        Whether to hide the item from the
                                        resume.
                                    icon:
                                      type: string
                                      description: >-
                                        The icon to display for the custom
                                        field. Must be a valid icon name from
                                        @phosphor-icons/web icon set, or an
                                        empty string to hide. Default to ''
                                        (empty string) when unsure which icons
                                        are available.
                                    iconColor:
                                      type: string
                                      description: >-
                                        Custom color for the icon, defined as
                                        rgba(r, g, b, a). Leave blank to use the
                                        template default icon color.
                                    network:
                                      type: string
                                      minLength: 1
                                      description: The name of the network or platform.
                                    username:
                                      type: string
                                      description: >-
                                        The username of the author on the
                                        network or platform.
                                    website:
                                      type: object
                                      properties:
                                        url:
                                          type: string
                                          description: >-
                                            The URL to show as a link. Must be a
                                            valid URL with a protocol (http:// or
                                            https://).
                                        label:
                                          type: string
                                          description: >-
                                            The label to display for the URL. Leave
                                            blank to display the URL as-is.
                                        inlineLink:
                                          type: boolean
                                          description: >-
                                            If true, the website URL is rendered as
                                            a hyperlink on the title instead of a
                                            separate link at the bottom.
                                      required:
                                        - url
                                        - label
                                        - inlineLink
                                      description: >-
                                        The link to the profile of the author on
                                        the network or platform, if any.
                                  required:
                                    - id
                                    - hidden
                                    - icon
                                    - iconColor
                                    - network
                                    - username
                                    - website
                                description: The items to display in the profiles section.
                            required:
                              - title
                              - icon
                              - columns
                              - hidden
                              - keepTogether
                              - startOnNewPage
                              - items
                            description: The section to display the profiles of the author.
                          experience:
                            type: object
                            properties:
                              title:
                                type: string
                                description: The title of the section.
                              icon:
                                type: string
                                description: >-
                                  Phosphor icon name to display before the
                                  section title in the PDF output. Empty string
                                  uses the default section icon; 'none' hides
                                  the icon.
                              columns:
                                type: integer
                                minimum: 1
                                maximum: 6
                                description: >-
                                  The number of columns the section should span
                                  across.
                              hidden:
                                type: boolean
                                description: Whether to hide the section from the resume.
                              keepTogether:
                                type: boolean
                                description: >-
                                  If true, the section is kept on a single page
                                  instead of splitting across a page break.
                              startOnNewPage:
                                type: boolean
                                description: >-
                                  If true, the section always begins on a new
                                  page.
                              items:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                      description: >-
                                        The unique identifier for the item.
                                        Usually generated as a UUID.
                                    hidden:
                                      type: boolean
                                      description: >-
                                        Whether to hide the item from the
                                        resume.
                                    company:
                                      type: string
                                      minLength: 1
                                      description: The name of the company or organization.
                                    position:
                                      type: string
                                      description: >-
                                        The position held at the company or
                                        organization. Used when there is only a
                                        single role. If multiple roles are
                                        provided in the 'roles' field, this
                                        serves as a summary title or can be left
                                        blank.
                                    location:
                                      type: string
                                      description: >-
                                        The location of the company or
                                        organization.
                                    period:
                                      type: string
                                      description: >-
                                        The overall period of time at the
                                        company. When multiple roles are used,
                                        this should reflect the total tenure.
                                    website:
                                      type: object
                                      properties:
                                        url:
                                          type: string
                                          description: >-
                                            The URL to show as a link. Must be a
                                            valid URL with a protocol (http:// or
                                            https://).
                                        label:
                                          type: string
                                          description: >-
                                            The label to display for the URL. Leave
                                            blank to display the URL as-is.
                                        inlineLink:
                                          type: boolean
                                          description: >-
                                            If true, the website URL is rendered as
                                            a hyperlink on the title instead of a
                                            separate link at the bottom.
                                      required:
                                        - url
                                        - label
                                        - inlineLink
                                      description: >-
                                        The website of the company or
                                        organization, if any.
                                    description:
                                      type: string
                                      description: >-
                                        The description of the experience. This
                                        should be a HTML-formatted string.
                                    roles:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                            description: >-
                                              The unique identifier for the role.
                                              Usually generated as a UUID.
                                          position:
                                            type: string
                                            description: The position or job title for this role.
                                          period:
                                            type: string
                                            description: The period of time this role was held.
                                          description:
                                            type: string
                                            description: >-
                                              The description of this specific role.
                                              This should be a HTML-formatted string.
                                        required:
                                          - id
                                          - position
                                          - period
                                          - description
                                      description: >-
                                        List of individual roles held at this
                                        company to show career progression.
                                  required:
                                    - id
                                    - hidden
                                    - company
                                    - position
                                    - location
                                    - period
                                    - website
                                    - description
                                    - roles
                                description: >-
                                  The items to display in the experience
                                  section.
                            required:
                              - title
                              - icon
                              - columns
                              - hidden
                              - keepTogether
                              - startOnNewPage
                              - items
                            description: >-
                              The section to display the experience of the
                              author.
                          education:
                            type: object
                            properties:
                              title:
                                type: string
                                description: The title of the section.
                              icon:
                                type: string
                                description: >-
                                  Phosphor icon name to display before the
                                  section title in the PDF output. Empty string
                                  uses the default section icon; 'none' hides
                                  the icon.
                              columns:
                                type: integer
                                minimum: 1
                                maximum: 6
                                description: >-
                                  The number of columns the section should span
                                  across.
                              hidden:
                                type: boolean
                                description: Whether to hide the section from the resume.
                              keepTogether:
                                type: boolean
                                description: >-
                                  If true, the section is kept on a single page
                                  instead of splitting across a page break.
                              startOnNewPage:
                                type: boolean
                                description: >-
                                  If true, the section always begins on a new
                                  page.
                              items:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                      description: >-
                                        The unique identifier for the item.
                                        Usually generated as a UUID.
                                    hidden:
                                      type: boolean
                                      description: >-
                                        Whether to hide the item from the
                                        resume.
                                    school:
                                      type: string
                                      minLength: 1
                                      description: The name of the school or institution.
                                    degree:
                                      type: string
                                      description: The degree or qualification obtained.
                                    area:
                                      type: string
                                      description: The area of study or specialization.
                                    grade:
                                      type: string
                                      description: The grade or score achieved.
                                    location:
                                      type: string
                                      description: >-
                                        The location of the school or
                                        institution.
                                    period:
                                      type: string
                                      description: >-
                                        The period of time the education was
                                        obtained over.
                                    website:
                                      type: object
                                      properties:
                                        url:
                                          type: string
                                          description: >-
                                            The URL to show as a link. Must be a
                                            valid URL with a protocol (http:// or
                                            https://).
                                        label:
                                          type: string
                                          description: >-
                                            The label to display for the URL. Leave
                                            blank to display the URL as-is.
                                        inlineLink:
                                          type: boolean
                                          description: >-
                                            If true, the website URL is rendered as
                                            a hyperlink on the title instead of a
                                            separate link at the bottom.
                                      required:
                                        - url
                                        - label
                                        - inlineLink
                                      description: >-
                                        The website of the school or
                                        institution, if any.
                                    description:
                                      type: string
                                      description: >-
                                        The description of the education. This
                                        should be a HTML-formatted string.
                                  required:
                                    - id
                                    - hidden
                                    - school
                                    - degree
                                    - area
                                    - grade
                                    - location
                                    - period
                                    - website
                                    - description
                                description: The items to display in the education section.
                            required:
                              - title
                              - icon
                              - columns
                              - hidden
                              - keepTogether
                              - startOnNewPage
                              - items
                            description: >-
                              The section to display the education of the
                              author.
                          projects:
                            type: object
                            properties:
                              title:
                                type: string
                                description: The title of the section.
                              icon:
                                type: string
                                description: >-
                                  Phosphor icon name to display before the
                                  section title in the PDF output. Empty string
                                  uses the default section icon; 'none' hides
                                  the icon.
                              columns:
                                type: integer
                                minimum: 1
                                maximum: 6
                                description: >-
                                  The number of columns the section should span
                                  across.
                              hidden:
                                type: boolean
                                description: Whether to hide the section from the resume.
                              keepTogether:
                                type: boolean
                                description: >-
                                  If true, the section is kept on a single page
                                  instead of splitting across a page break.
                              startOnNewPage:
                                type: boolean
                                description: >-
                                  If true, the section always begins on a new
                                  page.
                              items:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                      description: >-
                                        The unique identifier for the item.
                                        Usually generated as a UUID.
                                    hidden:
                                      type: boolean
                                      description: >-
                                        Whether to hide the item from the
                                        resume.
                                    name:
                                      type: string
                                      minLength: 1
                                      description: The name of the project.
                                    period:
                                      type: string
                                      description: >-
                                        The period of time the project was
                                        worked on.
                                    website:
                                      type: object
                                      properties:
                                        url:
                                          type: string
                                          description: >-
                                            The URL to show as a link. Must be a
                                            valid URL with a protocol (http:// or
                                            https://).
                                        label:
                                          type: string
                                          description: >-
                                            The label to display for the URL. Leave
                                            blank to display the URL as-is.
                                        inlineLink:
                                          type: boolean
                                          description: >-
                                            If true, the website URL is rendered as
                                            a hyperlink on the title instead of a
                                            separate link at the bottom.
                                      required:
                                        - url
                                        - label
                                        - inlineLink
                                      description: The link to the project, if any.
                                    description:
                                      type: string
                                      description: >-
                                        The description of the project. This
                                        should be a HTML-formatted string.
                                  required:
                                    - id
                                    - hidden
                                    - name
                                    - period
                                    - website
                                    - description
                                description: The items to display in the projects section.
                            required:
                              - title
                              - icon
                              - columns
                              - hidden
                              - keepTogether
                              - startOnNewPage
                              - items
                            description: The section to display the projects of the author.
                          skills:
                            type: object
                            properties:
                              title:
                                type: string
                                description: The title of the section.
                              icon:
                                type: string
                                description: >-
                                  Phosphor icon name to display before the
                                  section title in the PDF output. Empty string
                                  uses the default section icon; 'none' hides
                                  the icon.
                              columns:
                                type: integer
                                minimum: 1
                                maximum: 6
                                description: >-
                                  The number of columns the section should span
                                  across.
                              hidden:
                                type: boolean
                                description: Whether to hide the section from the resume.
                              keepTogether:
                                type: boolean
                                description: >-
                                  If true, the section is kept on a single page
                                  instead of splitting across a page break.
                              startOnNewPage:
                                type: boolean
                                description: >-
                                  If true, the section always begins on a new
                                  page.
                              items:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                      description: >-
                                        The unique identifier for the item.
                                        Usually generated as a UUID.
                                    hidden:
                                      type: boolean
                                      description: >-
                                        Whether to hide the item from the
                                        resume.
                                    icon:
                                      type: string
                                      description: >-
                                        The icon to display for the custom
                                        field. Must be a valid icon name from
                                        @phosphor-icons/web icon set, or an
                                        empty string to hide. Default to ''
                                        (empty string) when unsure which icons
                                        are available.
                                    iconColor:
                                      type: string
                                      description: >-
                                        Custom color for the icon, defined as
                                        rgba(r, g, b, a). Leave blank to use the
                                        template default icon color.
                                    name:
                                      type: string
                                      minLength: 1
                                      description: The name of the skill.
                                    proficiency:
                                      type: string
                                      description: >-
                                        The proficiency level of the skill. Can
                                        be any text, such as 'Beginner',
                                        'Intermediate', 'Advanced', etc.
                                    level:
                                      type: number
                                      minimum: 0
                                      maximum: 5
                                      description: >-
                                        The proficiency level of the skill,
                                        defined as a number between 0 and 5. If
                                        set to 0, the icons displaying the level
                                        will be hidden.
                                    keywords:
                                      type: array
                                      items:
                                        type: string
                                      description: >-
                                        The keywords associated with the skill,
                                        if any. These are displayed as tags
                                        below the name.
                                  required:
                                    - id
                                    - hidden
                                    - icon
                                    - iconColor
                                    - name
                                    - proficiency
                                    - level
                                    - keywords
                                description: The items to display in the skills section.
                            required:
                              - title
                              - icon
                              - columns
                              - hidden
                              - keepTogether
                              - startOnNewPage
                              - items
                            description: The section to display the skills of the author.
                          languages:
                            type: object
                            properties:
                              title:
                                type: string
                                description: The title of the section.
                              icon:
                                type: string
                                description: >-
                                  Phosphor icon name to display before the
                                  section title in the PDF output. Empty string
                                  uses the default section icon; 'none' hides
                                  the icon.
                              columns:
                                type: integer
                                minimum: 1
                                maximum: 6
                                description: >-
                                  The number of columns the section should span
                                  across.
                              hidden:
                                type: boolean
                                description: Whether to hide the section from the resume.
                              keepTogether:
                                type: boolean
                                description: >-
                                  If true, the section is kept on a single page
                                  instead of splitting across a page break.
                              startOnNewPage:
                                type: boolean
                                description: >-
                                  If true, the section always begins on a new
                                  page.
                              items:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                      description: >-
                                        The unique identifier for the item.
                                        Usually generated as a UUID.
                                    hidden:
                                      type: boolean
                                      description: >-
                                        Whether to hide the item from the
                                        resume.
                                    language:
                                      type: string
                                      minLength: 1
                                      description: >-
                                        The name of the language the author
                                        knows.
                                    fluency:
                                      type: string
                                      description: >-
                                        The fluency level of the language. Can
                                        be any text, such as 'Native', 'Fluent',
                                        'Conversational', etc. or can also be a
                                        CEFR level (A1, A2, B1, B2, C1, C2).
                                    level:
                                      type: number
                                      minimum: 0
                                      maximum: 5
                                      description: >-
                                        The proficiency level of the language,
                                        defined as a number between 0 and 5. If
                                        set to 0, the icons displaying the level
                                        will be hidden.
                                  required:
                                    - id
                                    - hidden
                                    - language
                                    - fluency
                                    - level
                                description: The items to display in the languages section.
                            required:
                              - title
                              - icon
                              - columns
                              - hidden
                              - keepTogether
                              - startOnNewPage
                              - items
                            description: >-
                              The section to display the languages of the
                              author.
                          interests:
                            type: object
                            properties:
                              title:
                                type: string
                                description: The title of the section.
                              icon:
                                type: string
                                description: >-
                                  Phosphor icon name to display before the
                                  section title in the PDF output. Empty string
                                  uses the default section icon; 'none' hides
                                  the icon.
                              columns:
                                type: integer
                                minimum: 1
                                maximum: 6
                                description: >-
                                  The number of columns the section should span
                                  across.
                              hidden:
                                type: boolean
                                description: Whether to hide the section from the resume.
                              keepTogether:
                                type: boolean
                                description: >-
                                  If true, the section is kept on a single page
                                  instead of splitting across a page break.
                              startOnNewPage:
                                type: boolean
                                description: >-
                                  If true, the section always begins on a new
                                  page.
                              items:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                      description: >-
                                        The unique identifier for the item.
                                        Usually generated as a UUID.
                                    hidden:
                                      type: boolean
                                      description: >-
                                        Whether to hide the item from the
                                        resume.
                                    icon:
                                      type: string
                                      description: >-
                                        The icon to display for the custom
                                        field. Must be a valid icon name from
                                        @phosphor-icons/web icon set, or an
                                        empty string to hide. Default to ''
                                        (empty string) when unsure which icons
                                        are available.
                                    iconColor:
                                      type: string
                                      description: >-
                                        Custom color for the icon, defined as
                                        rgba(r, g, b, a). Leave blank to use the
                                        template default icon color.
                                    name:
                                      type: string
                                      minLength: 1
                                      description: The name of the interest/hobby.
                                    keywords:
                                      type: array
                                      items:
                                        type: string
                                      description: >-
                                        The keywords associated with the
                                        interest/hobby, if any. These are
                                        displayed as tags below the name.
                                  required:
                                    - id
                                    - hidden
                                    - icon
                                    - iconColor
                                    - name
                                    - keywords
                                description: The items to display in the interests section.
                            required:
                              - title
                              - icon
                              - columns
                              - hidden
                              - keepTogether
                              - startOnNewPage
                              - items
                            description: >-
                              The section to display the interests of the
                              author.
                          awards:
                            type: object
                            properties:
                              title:
                                type: string
                                description: The title of the section.
                              icon:
                                type: string
                                description: >-
                                  Phosphor icon name to display before the
                                  section title in the PDF output. Empty string
                                  uses the default section icon; 'none' hides
                                  the icon.
                              columns:
                                type: integer
                                minimum: 1
                                maximum: 6
                                description: >-
                                  The number of columns the section should span
                                  across.
                              hidden:
                                type: boolean
                                description: Whether to hide the section from the resume.
                              keepTogether:
                                type: boolean
                                description: >-
                                  If true, the section is kept on a single page
                                  instead of splitting across a page break.
                              startOnNewPage:
                                type: boolean
                                description: >-
                                  If true, the section always begins on a new
                                  page.
                              items:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                      description: >-
                                        The unique identifier for the item.
                                        Usually generated as a UUID.
                                    hidden:
                                      type: boolean
                                      description: >-
                                        Whether to hide the item from the
                                        resume.
                                    title:
                                      type: string
                                      minLength: 1
                                      description: The title of the award.
                                    awarder:
                                      type: string
                                      description: The awarder of the award.
                                    date:
                                      type: string
                                      description: The date when the award was received.
                                    website:
                                      type: object
                                      properties:
                                        url:
                                          type: string
                                          description: >-
                                            The URL to show as a link. Must be a
                                            valid URL with a protocol (http:// or
                                            https://).
                                        label:
                                          type: string
                                          description: >-
                                            The label to display for the URL. Leave
                                            blank to display the URL as-is.
                                        inlineLink:
                                          type: boolean
                                          description: >-
                                            If true, the website URL is rendered as
                                            a hyperlink on the title instead of a
                                            separate link at the bottom.
                                      required:
                                        - url
                                        - label
                                        - inlineLink
                                      description: The website of the award, if any.
                                    description:
                                      type: string
                                      description: >-
                                        The description of the award. This
                                        should be a HTML-formatted string.
                                  required:
                                    - id
                                    - hidden
                                    - title
                                    - awarder
                                    - date
                                    - website
                                    - description
                                description: The items to display in the awards section.
                            required:
                              - title
                              - icon
                              - columns
                              - hidden
                              - keepTogether
                              - startOnNewPage
                              - items
                            description: The section to display the awards of the author.
                          certifications:
                            type: object
                            properties:
                              title:
                                type: string
                                description: The title of the section.
                              icon:
                                type: string
                                description: >-
                                  Phosphor icon name to display before the
                                  section title in the PDF output. Empty string
                                  uses the default section icon; 'none' hides
                                  the icon.
                              columns:
                                type: integer
                                minimum: 1
                                maximum: 6
                                description: >-
                                  The number of columns the section should span
                                  across.
                              hidden:
                                type: boolean
                                description: Whether to hide the section from the resume.
                              keepTogether:
                                type: boolean
                                description: >-
                                  If true, the section is kept on a single page
                                  instead of splitting across a page break.
                              startOnNewPage:
                                type: boolean
                                description: >-
                                  If true, the section always begins on a new
                                  page.
                              items:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                      description: >-
                                        The unique identifier for the item.
                                        Usually generated as a UUID.
                                    hidden:
                                      type: boolean
                                      description: >-
                                        Whether to hide the item from the
                                        resume.
                                    title:
                                      type: string
                                      minLength: 1
                                      description: The title of the certification.
                                    issuer:
                                      type: string
                                      description: The issuer of the certification.
                                    date:
                                      type: string
                                      description: >-
                                        The date when the certification was
                                        received.
                                    website:
                                      type: object
                                      properties:
                                        url:
                                          type: string
                                          description: >-
                                            The URL to show as a link. Must be a
                                            valid URL with a protocol (http:// or
                                            https://).
                                        label:
                                          type: string
                                          description: >-
                                            The label to display for the URL. Leave
                                            blank to display the URL as-is.
                                        inlineLink:
                                          type: boolean
                                          description: >-
                                            If true, the website URL is rendered as
                                            a hyperlink on the title instead of a
                                            separate link at the bottom.
                                      required:
                                        - url
                                        - label
                                        - inlineLink
                                      description: >-
                                        The website of the certification, if
                                        any.
                                    description:
                                      type: string
                                      description: >-
                                        The description of the certification.
                                        This should be a HTML-formatted string.
                                  required:
                                    - id
                                    - hidden
                                    - title
                                    - issuer
                                    - date
                                    - website
                                    - description
                                description: >-
                                  The items to display in the certifications
                                  section.
                            required:
                              - title
                              - icon
                              - columns
                              - hidden
                              - keepTogether
                              - startOnNewPage
                              - items
                            description: >-
                              The section to display the certifications of the
                              author.
                          publications:
                            type: object
                            properties:
                              title:
                                type: string
                                description: The title of the section.
                              icon:
                                type: string
                                description: >-
                                  Phosphor icon name to display before the
                                  section title in the PDF output. Empty string
                                  uses the default section icon; 'none' hides
                                  the icon.
                              columns:
                                type: integer
                                minimum: 1
                                maximum: 6
                                description: >-
                                  The number of columns the section should span
                                  across.
                              hidden:
                                type: boolean
                                description: Whether to hide the section from the resume.
                              keepTogether:
                                type: boolean
                                description: >-
                                  If true, the section is kept on a single page
                                  instead of splitting across a page break.
                              startOnNewPage:
                                type: boolean
                                description: >-
                                  If true, the section always begins on a new
                                  page.
                              items:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                      description: >-
                                        The unique identifier for the item.
                                        Usually generated as a UUID.
                                    hidden:
                                      type: boolean
                                      description: >-
                                        Whether to hide the item from the
                                        resume.
                                    title:
                                      type: string
                                      minLength: 1
                                      description: The title of the publication.
                                    publisher:
                                      type: string
                                      description: The publisher of the publication.
                                    date:
                                      type: string
                                      description: >-
                                        The date when the publication was
                                        published.
                                    website:
                                      type: object
                                      properties:
                                        url:
                                          type: string
                                          description: >-
                                            The URL to show as a link. Must be a
                                            valid URL with a protocol (http:// or
                                            https://).
                                        label:
                                          type: string
                                          description: >-
                                            The label to display for the URL. Leave
                                            blank to display the URL as-is.
                                        inlineLink:
                                          type: boolean
                                          description: >-
                                            If true, the website URL is rendered as
                                            a hyperlink on the title instead of a
                                            separate link at the bottom.
                                      required:
                                        - url
                                        - label
                                        - inlineLink
                                      description: The link to the publication, if any.
                                    description:
                                      type: string
                                      description: >-
                                        The description of the publication. This
                                        should be a HTML-formatted string.
                                  required:
                                    - id
                                    - hidden
                                    - title
                                    - publisher
                                    - date
                                    - website
                                    - description
                                description: >-
                                  The items to display in the publications
                                  section.
                            required:
                              - title
                              - icon
                              - columns
                              - hidden
                              - keepTogether
                              - startOnNewPage
                              - items
                            description: >-
                              The section to display the publications of the
                              author.
                          volunteer:
                            type: object
                            properties:
                              title:
                                type: string
                                description: The title of the section.
                              icon:
                                type: string
                                description: >-
                                  Phosphor icon name to display before the
                                  section title in the PDF output. Empty string
                                  uses the default section icon; 'none' hides
                                  the icon.
                              columns:
                                type: integer
                                minimum: 1
                                maximum: 6
                                description: >-
                                  The number of columns the section should span
                                  across.
                              hidden:
                                type: boolean
                                description: Whether to hide the section from the resume.
                              keepTogether:
                                type: boolean
                                description: >-
                                  If true, the section is kept on a single page
                                  instead of splitting across a page break.
                              startOnNewPage:
                                type: boolean
                                description: >-
                                  If true, the section always begins on a new
                                  page.
                              items:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                      description: >-
                                        The unique identifier for the item.
                                        Usually generated as a UUID.
                                    hidden:
                                      type: boolean
                                      description: >-
                                        Whether to hide the item from the
                                        resume.
                                    organization:
                                      type: string
                                      minLength: 1
                                      description: The name of the organization or company.
                                    location:
                                      type: string
                                      description: >-
                                        The location of the organization or
                                        company.
                                    period:
                                      type: string
                                      description: >-
                                        The period of time the author was
                                        volunteered at the organization or
                                        company.
                                    website:
                                      type: object
                                      properties:
                                        url:
                                          type: string
                                          description: >-
                                            The URL to show as a link. Must be a
                                            valid URL with a protocol (http:// or
                                            https://).
                                        label:
                                          type: string
                                          description: >-
                                            The label to display for the URL. Leave
                                            blank to display the URL as-is.
                                        inlineLink:
                                          type: boolean
                                          description: >-
                                            If true, the website URL is rendered as
                                            a hyperlink on the title instead of a
                                            separate link at the bottom.
                                      required:
                                        - url
                                        - label
                                        - inlineLink
                                      description: >-
                                        The link to the organization or company,
                                        if any.
                                    description:
                                      type: string
                                      description: >-
                                        The description of the volunteer
                                        experience. This should be a
                                        HTML-formatted string.
                                  required:
                                    - id
                                    - hidden
                                    - organization
                                    - location
                                    - period
                                    - website
                                    - description
                                description: The items to display in the volunteer section.
                            required:
                              - title
                              - icon
                              - columns
                              - hidden
                              - keepTogether
                              - startOnNewPage
                              - items
                            description: >-
                              The section to display the volunteer experience of
                              the author.
                          references:
                            type: object
                            properties:
                              title:
                                type: string
                                description: The title of the section.
                              icon:
                                type: string
                                description: >-
                                  Phosphor icon name to display before the
                                  section title in the PDF output. Empty string
                                  uses the default section icon; 'none' hides
                                  the icon.
                              columns:
                                type: integer
                                minimum: 1
                                maximum: 6
                                description: >-
                                  The number of columns the section should span
                                  across.
                              hidden:
                                type: boolean
                                description: Whether to hide the section from the resume.
                              keepTogether:
                                type: boolean
                                description: >-
                                  If true, the section is kept on a single page
                                  instead of splitting across a page break.
                              startOnNewPage:
                                type: boolean
                                description: >-
                                  If true, the section always begins on a new
                                  page.
                              items:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                      description: >-
                                        The unique identifier for the item.
                                        Usually generated as a UUID.
                                    hidden:
                                      type: boolean
                                      description: >-
                                        Whether to hide the item from the
                                        resume.
                                    name:
                                      type: string
                                      minLength: 1
                                      description: >-
                                        The name of the reference, or a note
                                        such as 'Available upon request'.
                                    position:
                                      type: string
                                      description: >-
                                        The position or job title of the
                                        reference.
                                    website:
                                      type: object
                                      properties:
                                        url:
                                          type: string
                                          description: >-
                                            The URL to show as a link. Must be a
                                            valid URL with a protocol (http:// or
                                            https://).
                                        label:
                                          type: string
                                          description: >-
                                            The label to display for the URL. Leave
                                            blank to display the URL as-is.
                                        inlineLink:
                                          type: boolean
                                          description: >-
                                            If true, the website URL is rendered as
                                            a hyperlink on the title instead of a
                                            separate link at the bottom.
                                      required:
                                        - url
                                        - label
                                        - inlineLink
                                      description: >-
                                        The website or LinkedIn profile of the
                                        reference, if any.
                                    phone:
                                      type: string
                                      description: The phone number of the reference.
                                    description:
                                      type: string
                                      description: >-
                                        The description of the reference. Can be
                                        used to display a quote, a testimonial,
                                        etc. This should be a HTML-formatted
                                        string.
                                  required:
                                    - id
                                    - hidden
                                    - name
                                    - position
                                    - website
                                    - phone
                                    - description
                                description: >-
                                  The items to display in the references
                                  section.
                            required:
                              - title
                              - icon
                              - columns
                              - hidden
                              - keepTogether
                              - startOnNewPage
                              - items
                            description: >-
                              The section to display the references of the
                              author.
                        required:
                          - profiles
                          - experience
                          - education
                          - projects
                          - skills
                          - languages
                          - interests
                          - awards
                          - certifications
                          - publications
                          - volunteer
                          - references
                        description: >-
                          Various sections of the resume, such as experience,
                          education, projects, etc.
                      customSections:
                        type: array
                        items:
                          anyOf:
                            - type: object
                              properties:
                                title:
                                  type: string
                                  description: The title of the section.
                                icon:
                                  type: string
                                  description: >-
                                    Phosphor icon name to display before the
                                    section title in the PDF output. Empty
                                    string uses the default section icon; 'none'
                                    hides the icon.
                                columns:
                                  type: integer
                                  minimum: 1
                                  maximum: 6
                                  description: >-
                                    The number of columns the section should
                                    span across.
                                hidden:
                                  type: boolean
                                  description: Whether to hide the section from the resume.
                                keepTogether:
                                  type: boolean
                                  description: >-
                                    If true, the section is kept on a single
                                    page instead of splitting across a page
                                    break.
                                startOnNewPage:
                                  type: boolean
                                  description: >-
                                    If true, the section always begins on a new
                                    page.
                                id:
                                  type: string
                                  description: >-
                                    The unique identifier for the custom
                                    section. Usually generated as a UUID.
                                type:
                                  const: cover-letter
                                  description: >-
                                    The type of items this custom section
                                    contains. Determines which item schema and
                                    form fields to use.
                                items:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                        description: >-
                                          The unique identifier for the item.
                                          Usually generated as a UUID.
                                      hidden:
                                        type: boolean
                                        description: >-
                                          Whether to hide the item from the
                                          resume.
                                      recipient:
                                        type: string
                                        description: >-
                                          The recipient's address block as HTML
                                          (name, title, company, address, email).
                                      content:
                                        type: string
                                        description: >-
                                          The cover letter body as HTML
                                          (salutation, paragraphs, closing,
                                          signature).
                                    required:
                                      - id
                                      - hidden
                                      - recipient
                                      - content
                                    additionalProperties: {}
                                  description: >-
                                    The items to display in the custom section.
                                    Items follow the schema of the section type.
                              required:
                                - title
                                - icon
                                - columns
                                - hidden
                                - keepTogether
                                - startOnNewPage
                                - id
                                - type
                                - items
                            - type: object
                              properties:
                                title:
                                  type: string
                                  description: The title of the section.
                                icon:
                                  type: string
                                  description: >-
                                    Phosphor icon name to display before the
                                    section title in the PDF output. Empty
                                    string uses the default section icon; 'none'
                                    hides the icon.
                                columns:
                                  type: integer
                                  minimum: 1
                                  maximum: 6
                                  description: >-
                                    The number of columns the section should
                                    span across.
                                hidden:
                                  type: boolean
                                  description: Whether to hide the section from the resume.
                                keepTogether:
                                  type: boolean
                                  description: >-
                                    If true, the section is kept on a single
                                    page instead of splitting across a page
                                    break.
                                startOnNewPage:
                                  type: boolean
                                  description: >-
                                    If true, the section always begins on a new
                                    page.
                                id:
                                  type: string
                                  description: >-
                                    The unique identifier for the custom
                                    section. Usually generated as a UUID.
                                type:
                                  const: summary
                                  description: >-
                                    The type of items this custom section
                                    contains. Determines which item schema and
                                    form fields to use.
                                items:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                        description: >-
                                          The unique identifier for the item.
                                          Usually generated as a UUID.
                                      hidden:
                                        type: boolean
                                        description: >-
                                          Whether to hide the item from the
                                          resume.
                                      content:
                                        type: string
                                        description: >-
                                          The rich text content of the summary
                                          item. This should be a HTML-formatted
                                          string.
                                    required:
                                      - id
                                      - hidden
                                      - content
                                    additionalProperties: {}
                                  description: >-
                                    The items to display in the custom section.
                                    Items follow the schema of the section type.
                              required:
                                - title
                                - icon
                                - columns
                                - hidden
                                - keepTogether
                                - startOnNewPage
                                - id
                                - type
                                - items
                            - type: object
                              properties:
                                title:
                                  type: string
                                  description: The title of the section.
                                icon:
                                  type: string
                                  description: >-
                                    Phosphor icon name to display before the
                                    section title in the PDF output. Empty
                                    string uses the default section icon; 'none'
                                    hides the icon.
                                columns:
                                  type: integer
                                  minimum: 1
                                  maximum: 6
                                  description: >-
                                    The number of columns the section should
                                    span across.
                                hidden:
                                  type: boolean
                                  description: Whether to hide the section from the resume.
                                keepTogether:
                                  type: boolean
                                  description: >-
                                    If true, the section is kept on a single
                                    page instead of splitting across a page
                                    break.
                                startOnNewPage:
                                  type: boolean
                                  description: >-
                                    If true, the section always begins on a new
                                    page.
                                id:
                                  type: string
                                  description: >-
                                    The unique identifier for the custom
                                    section. Usually generated as a UUID.
                                type:
                                  const: profiles
                                  description: >-
                                    The type of items this custom section
                                    contains. Determines which item schema and
                                    form fields to use.
                                items:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                        description: >-
                                          The unique identifier for the item.
                                          Usually generated as a UUID.
                                      hidden:
                                        type: boolean
[...]
